@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=League+Spartan:wght@100;200;300;400;500;600;700;800;900&family=Montserrat:wght@100;200;300;400;500;600;700;800;900&family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');

body, html {
    margin: 0;
    padding: 0;
    font-family: 'Poppins';

}
@keyframes fadein {
    to {
        opacity: 1;
    }
}
.fade-in {
    opacity: 0;
    animation: fadein 0.5s ease-in forwards;
}

p {
    margin: 5px;
}
input[type= "text"] {
    border: 1px solid #00ac96;
    height: 30px;
    width: 300px;
    border-radius: 9px;
    
}
select {
    height: 100px;
    overflow-y: scroll;
    width: 300px;
    border-radius: 9px;
}

.fancy-link {
    position: relative;
    text-transform: uppercase;
}
.fancy-link:hover {
    color: #00ac96;
}

.fancy-link::after{

    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    height: 2px;
    background: rgb(165, 0, 0);
    -webkit-transform: scaleX(0);
            transform: scaleX(0);
    -webkit-transform-origin: right;
            transform-origin: right;
    transition: -webkit-transform 250ms ease-in;
    transition: transform 250ms ease-in;
    transition: transform 250ms ease-in, -webkit-transform 250ms ease-in;
}

.fancy-link:hover::after{
    -webkit-transform: scaleX(1);
    transform: scaleX(1);
-webkit-transform-origin: left;
    transform-origin: left;

}
a {
    margin: 0;
    padding: 0;
    color: black;
    text-decoration: none;
}
a:hover {
}

.restaurant-categories h6 {
    margin-top: 0;
    
}
.main {
    transition:opacity 0.2s ease-in;
    width: 100vw;
    display: grid;
    grid-template-columns: 6.7fr 3.3fr;
    padding-right: 20px;
    box-sizing: border-box;


}
.restaurant {
    padding:5vw 6vw;
    box-sizing: border-box;
    padding-right: 3vw;
    position: relative;
    padding-top: 40px;


}
.restaurant {
    display: flex;
    flex-direction: column;
    height:500px;
    width:100%;
    object-fit: cover;
}
.restaurant-image {
    box-sizing: border-box;
    border: 3px solid crimson;
    height:500px;
    width:100%;
    object-fit: cover;
}
.restaurant-name {
    font-family: 'Montserrat';
    margin-top: auto;
    color: white;
    font-size: 75px;
    margin: 0;
}
.img-container {
    position: relative;
    background-color: black;
    height:500px;
    width:100%
}
.name-container {
    display: flex;
    align-items: center;
    overflow-y: hidden;
    box-sizing: border-box;
    width:100%;
    background:linear-gradient(transparent, rgb(0, 0, 0));
    position: absolute;
    bottom:0;
    left:0;
    padding-right: 20px;
    padding-left: 1vw;
}
.line {
    width:80%;
    border-bottom: 2px solid #00ac96;
    margin-top: 3vw;
}
.restaurant-categories {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: fit-content;
    font-weight: bolder;
    font-size: 20px;
    font-weight: 200;
}
.restaurant-buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width:580px;
}
.dollar-sign {
    color:rgb(0, 83, 47);
}
.categories-span {
    color:darkgray
    
}
.bookmark-btn {
    padding: 10px;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    height:fit-content;
    border: 1px solid #00ac96;
    width:fit-content;
    text-decoration: none;
    color: #00ac96;
    background-color: white;

}
.website-btn {

    font-size: 14px;
    text-transform: uppercase;
    padding: 10px;

    font-weight: bolder;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
    height:fit-content;
    border: 1px solid #00ac96;
    width:fit-content;
    text-decoration: none;
    background-color: #00ac96;
    color: white;

}
.website-btn:hover {
    background-color: rgb(155, 0, 0);
    color :white;
    border: 1px solid red;
}
.directions-btn {

    font-size: 14px;
    padding: 10px;

    text-transform: uppercase;
    border-radius: 6px;
    font-weight: bolder;
    display: flex;
    align-items: center;
    justify-content: center;
    height:fit-content;
    border: 1px solid #00ac96;
    width:fit-content;
    text-decoration: none;
    color: #00ac96;
    background-color: white;
}
.directions-btn:hover {
    background-color: #00ac96;
    color: white;
}

.price-link {
    text-decoration: none;
    color: black;
}
.review-image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    height: 400px;
    object-fit: cover;
    background-color: gray;
    margin-bottom: 0.5vw;
    object-fit: cover;
}

.review-image-container {
    border: 1px solid teal;
    box-sizing: border-box;
    height: fit-content;
    width: 100%;
}
.review-images {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 0.5vw;
}
.review-image-small {
    object-fit: cover;
    height: 150px;
    width: 100%;
    cursor: pointer;

}
.review-image-small:hover {
    opacity: 0.8;
}

.review-profile {
    height:70px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.review-body-div {
    display: flex;
}
.review-top {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.rating {
    height:50px;
    width: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background-color: crimson;
    color: white;
}
.profile-image {
    height:70px;
    width: 70px;
    border-radius: 50%;
}
.profile-info {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    margin-right: auto;
}
.side {
    font-family: 'Montserrat';
    padding-right: 2vw;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding-left: 2.5vw;

    box-sizing: border-box;
    border-left: 1px solid #00ac96;
    margin-top: 40px;
    
}

.article {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 200px;
    width: 100%;
    border-bottom: 1px solid #00ac96;
    margin-bottom: 3vw;
}
.rga-green {
    color: #00ac96;
}

.article-button {
    background-color: white;
    width: 100%;
    height: 100%;
    cursor: pointer;
    border: none;


}
.article-top:hover {
    color: rgb(110, 11, 31);
}

.recommendation-name {
    margin-top: 0;
}
.article-top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width:100%;
}
.categories-bottom {
    display: flex;
}
.article-image {
    object-fit: cover;
    height:80px;
    width:80px;
    margin-left: 10px;

}
.categoryName {
    font-size: 10px;
    color:rgb(36, 36, 36);
    letter-spacing: 2px;
    text-transform: uppercase;
}
.category-box {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    margin-bottom: 10px;

}

.bottom-articles {
    width:100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap:1vw;
 

}

.bottom-info {
    display: flex;
    justify-content: center;
    position:absolute;
    height:fit-content;
    width:45px;
    background-color: #00ac96;
    border-right:1px solid white;
    border-bottom:1px solid white;
    color: white;

    box-sizing: border-box;
    top: 0;
    left: 0;
}
.new {
    margin: 0;
    font-size: 13px;
    text-transform: uppercase;
}
.bottom-article {
    overflow: hidden;
    width: 100%;
    position: relative;
    display: flex;
    border-top: 2px solid rgb(126, 0, 0);
    justify-content: space-between;
    flex-direction: column;
}
.bottom-article:hover > .bottom-article-image {
    scale: 1.2;
    transform: translate3d(0, -16px, 0);
    transition: all 300ms ease-in-out;
}

.bottom-article-title {
    font-family: 'League Spartan';
    font-size: 20px;
    text-transform: uppercase;
}
.bottom-article-image {
    width: 100%;
    height:200px;
    object-fit: cover;
}
.bottom-article-image-container {
    width: 100%;
    height: 200px;
    overflow: hidden;
}
.bottom-article-info {
    color: rgb(107, 107, 107);
    font-size: 14px;
    font-family: 'Montserrat';
}

.article-type {
    color:rgb(0, 0, 0);
    letter-spacing: 4px;
    font-weight: 200;
    font-size: 10px;
    text-transform: uppercase;

}
.form-top {
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-bottom: 1px solid black;
    padding: 0 3vw;
    padding-right: 0;
    box-sizing: border-box;
    height: 50px;
}
.form-top h1 {
    margin: 0;
    font-size: 20px;
}

.close-btn {
    position: absolute;
    top: 0px;
    right: 5px;
    font-size: 30px;
    color: gray;
    transform: rotateX(45deg);
    cursor: pointer;
}
.close-btn:hover {
    color: black;
}

.review-popup-bg {
    display: none;
    position: fixed;
    box-sizing: border-box;
    top: -80px;
    left: 0;
    z-index: 999;
    height: 111vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.5);
}
.review-popup {
    border-radius: 10px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column;
    width: 500px;
    height: 600px;
    background-color: white;
}
.review-checkbox:checked ~ .review-popup-bg {
    display: block;
}

.restaurant-popup-bg {
    display: none;
    position: fixed;
    box-sizing: border-box;
    top: -80px;
    left: 0;
    z-index: 999;
    height: 111vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.5);
}
.restaurant-popup {
    border-radius: 10px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    display: block;
    text-align: center;
    width: 400px;
    max-height: 400px;
    overflow-y: scroll;
    background-color: white;
}
.restaurant-popup > *{
    display: block;
    margin-left: auto;
    margin-right: auto;
}

.restaurant-checkbox:checked ~ .restaurant-popup-bg {
    display: block;
}



.tbr-popup-bg {
    display: none;
    position: fixed;
    box-sizing: border-box;
    top: -80px;
    left: 0;
    z-index: 999;
    height: 111vh;
    width: 100vw;
    background-color: rgba(0,0,0,0.5);
}
.tbr-popup {
    border-radius: 10px;
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%,-50%);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    width: 400px;
    background-color: white;
}
.tbr-checkbox:checked ~ .tbr-popup-bg {
    display: block;
}



.activate-btn {
    font-weight: 300;
    text-transform: uppercase;
    cursor: pointer; color:#ac0000; margin-bottom: 0;
}
.authenticated-only {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

.wrapper {
    background-color: white; position: relative;height: 500vh;
}

@media only screen and (max-width:768px) {
    .wrapper {
        height:650vh
    }
    .disappear {
        display: none;
    }
    .main {
        grid-template-columns: 1fr;
    }
    .bottom-articles {
        grid-template-columns: 1fr;
        width: fit-content;
    }
    .side {
        display: none;
    }  

    .restaurant-buttons {
        width:100%
    }
    .bookmark-btn {
        font-size: 12px;
        padding: 7px;
    }
    .website-btn {

        font-size: 12px;
    }
    .directions-btn {

        font-size: 12px;
    }
    .restaurant-name {
        font-size: 50px;
    }
    .restaurant-image {
        height:400px
    }
    .bottom-article {
        height: fit-content;
        margin-bottom: 5vw;
        text-align: center;
        border:none;
        

    }
    .name-container {
        height: 70px;
    }



}
@media only screen and (max-width:768px) {
    .review-image {
        height: 300px;
    }
    .review-image-small {
        height: 100px;
    }
    .review-images {
        grid-template-columns: 1fr 1fr;
    }
    .review-popup, .restaurant-popup {
        overflow-y: auto;
        height: 85%;
        width: 100%;
        top: 450px;
        box-sizing: border-box;
    }



}